<div  class="card" fxFlex="40%" fxLayoutAlign="center center">
    <mat-card  fxLayout="column" >
        <ng-container *ngIf="!this.loginService.getIsLoggedIn()">
            <mat-card-title fxLayoutAlign="center none">Log In</mat-card-title>
        
            <mat-card-content >
                <form [formGroup]="logInForm" fxLayout="column" fxLayoutGap="5px">
                    <mat-form-field appearance="legacy" >
                      <mat-label>
                        <mat-icon>person_pin &nbsp;</mat-icon>
              
                        Nombre de usuario</mat-label
                      >
                      <input
                        matInput
                        placeholder="Nombre de usuario"
                        formControlName="userName"
                      />
                      <mat-error *ngIf="userName.hasError('required')">
                        {{required}}
                    </mat-error>
                    </mat-form-field>
              
                    <mat-form-field appearance="legacy" >
                      <mat-label>
                        <mat-icon>lock &nbsp;</mat-icon>
                        Contraseña</mat-label
                      >
                      <input
                        matInput
                        type="password"
                        placeholder="********"
                        formControlName="password"
                      />
                      <mat-error *ngIf="userName.hasError('required')">
                        {{required}}
                    </mat-error>
                    </mat-form-field>
                  </form>
            </mat-card-content>
    
            <mat-card-actions>
              
              <button mat-flat-button color="primary" (click)="this.logIn()" [disabled]="!this.logInForm.valid" fxFlex="100%">Acceder</button>
            </mat-card-actions>
        </ng-container>

        <ng-container  *ngIf="this.loginService.getIsLoggedIn()">
            <mat-card-actions>              
                <button mat-flat-button color="primary" (click)="this.logOut()">Salir</button>
            </mat-card-actions>
        </ng-container>

      </mat-card>
</div>

